## org.apache.poi.hpbf.model.qcbits
Class QCBit

    java.lang.Object
      org.apache.poi.hpbf.model.qcbits.QCBit

Direct Known Subclasses:
  QCPLCBit, QCTextBit, UnknownQCBit

    public abstract class QCBit

extends java.lang.Object

Parent of all Quill CONTENTS bits

Field Summary
`protected java.lang.String` `bitType`
`protected byte[]` `data`
`protected int` `dataOffset`
`protected int` `optA`
`protected int` `optB`
`protected int` `optC`
`protected java.lang.String` `thingType`

Constructor Summary
`QCBit(java.lang.String thingType, java.lang.String bitType, byte[] data)`

Method Summary
`java.lang.String` `getBitType()` Returns the type of the bit data, eg TEXT or PLC
`byte[]` `getData()`
`int` `getDataOffset()`
`int` `getLength()`
`int` `getOptA()`
`int` `getOptB()`
`int` `getOptC()`
`java.lang.String` `getThingType()` Returns the type of the thing, eg TEXT, FONT or TOKN
`void` `setDataOffset(int offset)`
`void` `setOptA(int optA)`
`void` `setOptB(int optB)`
`void` `setOptC(int optC)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thingType

    protected java.lang.String thingType

### bitType

    protected java.lang.String bitType

### data

    protected byte[] data

### optA

    protected int optA

### optB

    protected int optB

### optC

    protected int optC

### dataOffset

    protected int dataOffset

Constructor Detail

### QCBit

    public QCBit(java.lang.String thingType,
                 java.lang.String bitType,
                 byte[] data)

Method Detail

### getThingType

    public java.lang.String getThingType()

  Returns the type of the thing, eg TEXT, FONT or TOKN

### getBitType

    public java.lang.String getBitType()

  Returns the type of the bit data, eg TEXT or PLC

### getData

    public byte[] getData()

### getOptA

    public int getOptA()

### setOptA

    public void setOptA(int optA)

### getOptB

    public int getOptB()

### setOptB

    public void setOptB(int optB)

### getOptC

    public int getOptC()

### setOptC

    public void setOptC(int optC)

### getDataOffset

    public int getDataOffset()

### setDataOffset

    public void setDataOffset(int offset)

### getLength

    public int getLength()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.